## yappari 1.1.52

=== src/build-scratchbox/Makefile ===
#############################################################################
# Makefile for building: yappari
# Generated by qmake (2.01a) (Qt 4.7.0) on: Wed Jan 14 10:02:51 2015
# Project:  yappari.pro
# Template: subdirs
# Command: /usr/bin/qmake -o Makefile yappari.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-yappari-application \
		sub-yappari-status-menu-plugin

yappari-application/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) yappari-application/ || $(MKDIR) yappari-application/ 
	cd yappari-application/ && $(QMAKE) /tmp/yappari/src/build-scratchbox/yappari-application/yappari-application.pro -o $(MAKEFILE)
sub-yappari-application-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) yappari-application/ || $(MKDIR) yappari-application/ 
	cd yappari-application/ && $(QMAKE) /tmp/yappari/src/build-scratchbox/yappari-application/yappari-application.pro -o $(MAKEFILE)
sub-yappari-application: yappari-application/$(MAKEFILE) FORCE
	cd yappari-application/ && $(MAKE) -f $(MAKEFILE)
sub-yappari-application-make_default: yappari-application/$(MAKEFILE) FORCE
	cd yappari-application/ && $(MAKE) -f $(MAKEFILE) 
sub-yappari-application-make_first: yappari-application/$(MAKEFILE) FORCE
	cd yappari-application/ && $(MAKE) -f $(MAKEFILE) first
sub-yappari-application-all: yappari-application/$(MAKEFILE) FORCE
	cd yappari-application/ && $(MAKE) -f $(MAKEFILE) all
sub-yappari-application-clean: yappari-application/$(MAKEFILE) FORCE
	cd yappari-application/ && $(MAKE) -f $(MAKEFILE) clean
sub-yappari-application-distclean: yappari-application/$(MAKEFILE) FORCE
	cd yappari-application/ && $(MAKE) -f $(MAKEFILE) distclean
sub-yappari-application-install_subtargets: yappari-application/$(MAKEFILE) FORCE
	cd yappari-application/ && $(MAKE) -f $(MAKEFILE) install
sub-yappari-application-uninstall_subtargets: yappari-application/$(MAKEFILE) FORCE
	cd yappari-application/ && $(MAKE) -f $(MAKEFILE) uninstall
yappari-status-menu-plugin/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) yappari-status-menu-plugin/ || $(MKDIR) yappari-status-menu-plugin/ 
	cd yappari-status-menu-plugin/ && $(QMAKE) /tmp/yappari/src/build-scratchbox/yappari-status-menu-plugin/yappari-status-menu-plugin.pro -o $(MAKEFILE)
sub-yappari-status-menu-plugin-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) yappari-status-menu-plugin/ || $(MKDIR) yappari-status-menu-plugin/ 
	cd yappari-status-menu-plugin/ && $(QMAKE) /tmp/yappari/src/build-scratchbox/yappari-status-menu-plugin/yappari-status-menu-plugin.pro -o $(MAKEFILE)
sub-yappari-status-menu-plugin: yappari-status-menu-plugin/$(MAKEFILE) FORCE
	cd yappari-status-menu-plugin/ && $(MAKE) -f $(MAKEFILE)
sub-yappari-status-menu-plugin-make_default: yappari-status-menu-plugin/$(MAKEFILE) FORCE
	cd yappari-status-menu-plugin/ && $(MAKE) -f $(MAKEFILE) 
sub-yappari-status-menu-plugin-make_first: yappari-status-menu-plugin/$(MAKEFILE) FORCE
	cd yappari-status-menu-plugin/ && $(MAKE) -f $(MAKEFILE) first
sub-yappari-status-menu-plugin-all: yappari-status-menu-plugin/$(MAKEFILE) FORCE
	cd yappari-status-menu-plugin/ && $(MAKE) -f $(MAKEFILE) all
sub-yappari-status-menu-plugin-clean: yappari-status-menu-plugin/$(MAKEFILE) FORCE
	cd yappari-status-menu-plugin/ && $(MAKE) -f $(MAKEFILE) clean
sub-yappari-status-menu-plugin-distclean: yappari-status-menu-plugin/$(MAKEFILE) FORCE
	cd yappari-status-menu-plugin/ && $(MAKE) -f $(MAKEFILE) distclean
sub-yappari-status-menu-plugin-install_subtargets: yappari-status-menu-plugin/$(MAKEFILE) FORCE
	cd yappari-status-menu-plugin/ && $(MAKE) -f $(MAKEFILE) install
sub-yappari-status-menu-plugin-uninstall_subtargets: yappari-status-menu-plugin/$(MAKEFILE) FORCE
	cd yappari-status-menu-plugin/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: yappari.pro  /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++/qmake.conf /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf
	$(QMAKE) -o Makefile yappari.pro
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -o Makefile yappari.pro

qmake_all: sub-yappari-application-qmake_all sub-yappari-status-menu-plugin-qmake_all FORCE

make_default: sub-yappari-application-make_default sub-yappari-status-menu-plugin-make_default FORCE
make_first: sub-yappari-application-make_first sub-yappari-status-menu-plugin-make_first FORCE
all: sub-yappari-application-all sub-yappari-status-menu-plugin-all FORCE
clean: sub-yappari-application-clean sub-yappari-status-menu-plugin-clean FORCE
distclean: sub-yappari-application-distclean sub-yappari-status-menu-plugin-distclean FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-yappari-application-install_subtargets sub-yappari-status-menu-plugin-install_subtargets FORCE
uninstall_subtargets: sub-yappari-application-uninstall_subtargets sub-yappari-status-menu-plugin-uninstall_subtargets FORCE

sub-yappari-application-check: yappari-application/$(MAKEFILE)
	cd yappari-application/ && $(MAKE) check
sub-yappari-status-menu-plugin-check: yappari-status-menu-plugin/$(MAKEFILE)
	cd yappari-status-menu-plugin/ && $(MAKE) check
check: sub-yappari-application-check sub-yappari-status-menu-plugin-check

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:

=== src/build-scratchbox/yappari-application/Makefile ===
#############################################################################
# Makefile for building: Yappari
# Generated by qmake (2.01a) (Qt 4.7.0) on: Wed Jan 14 10:02:52 2015
# Project:  yappari-application.pro
# Template: app
# Command: /usr/bin/qmake -o Makefile yappari-application.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DDATADIR=\"/usr/share\" -DPKGDATADIR=\"\" -DQ_WS_SCRATCHBOX=1 -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_SQL_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -DMAEMO_CHANGES -DMAEMO_GTK -pthread -I/usr/include/libosso-abook-1.0 -I/usr/include/gconf/2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gtk-2.0 -I/usr/include/hildon-1 -I/usr/include/hildon-fm-2 -I/usr/include/evolution-data-server-1.4 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/libxml2 -I/usr/include/telepathy-1.0 -I/usr/include/evolution-data-server-1.4 -I/usr/include/dbus-1.0 -I/usr/include/libxml2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gconf/2 -I/usr/lib/dbus-1.0/include -DMAEMO_CHANGES -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2 -D_REENTRANT -I/usr/include/libexif -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O2 -DMAEMO_CHANGES -DMAEMO_GTK -pthread -I/usr/include/libosso-abook-1.0 -I/usr/include/gconf/2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gtk-2.0 -I/usr/include/hildon-1 -I/usr/include/hildon-fm-2 -I/usr/include/evolution-data-server-1.4 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/libxml2 -I/usr/include/telepathy-1.0 -I/usr/include/evolution-data-server-1.4 -I/usr/include/dbus-1.0 -I/usr/include/libxml2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gconf/2 -I/usr/lib/dbus-1.0/include -DMAEMO_CHANGES -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2 -D_REENTRANT -I/usr/include/libexif -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++ -I. -I/targets/FREMANTLE_X86/usr/include/QtCore -I/targets/FREMANTLE_X86/usr/include/QtNetwork -I/targets/FREMANTLE_X86/usr/include/QtGui -I/targets/FREMANTLE_X86/usr/include/QtSql -I/targets/FREMANTLE_X86/usr/include/QtMaemo5 -I/targets/FREMANTLE_X86/usr/include -I/targets/FREMANTLE_X86/usr/include/QtMessaging -I/targets/FREMANTLE_X86/usr/include/QtSystemInfo -I/targets/FREMANTLE_X86/usr/include/libosso-abook-1.0 -I/usr/include/evolution-data-server-1.4 -I/targets/FREMANTLE_X86/usr/include/gtk-2.0 -I/targets/FREMANTLE_X86/usr/include/gstreamer-0.10 -I/targets/FREMANTLE_X86/usr/include -I. -I.
LINK          = g++
LFLAGS        = -Wl,-O1 -Wl,-rpath,/usr/lib
LIBS          = $(SUBLIBS)  -L/usr/lib -pthread -losso-abook-1.0 -lhildon-1 -lhildonfm -lhildonmime -lmcclient -losso -lgnomevfs-2 -ltelepathy-glib -lebook-1.2 -ledataserver-1.2 -lgconf-2 -ldbus-glib-1 -ldbus-1 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -pthread -lgstreamer-0.10 -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lxml2 -lglib-2.0 -lpulse -lexif -lm -L/usr/lib -lQtSystemInfo -lQtMessaging -lQtMaemo5 -L/usr/X11R6/lib -lQtSql -lQtGui -lQtNetwork -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		Whatsapp/util/utilities.cpp \
		Whatsapp/util/messagedigest.cpp \
		Whatsapp/util/qtmd5digest.cpp \
		Whatsapp/protocoltreenode.cpp \
		Whatsapp/fmessage.cpp \
		Whatsapp/funstore.cpp \
		Whatsapp/key.cpp \
		Whatsapp/attributelist.cpp \
		Whatsapp/protocoltreenodelist.cpp \
		Whatsapp/bintreenodewriter.cpp \
		Whatsapp/protocoltreenodelistiterator.cpp \
		Whatsapp/attributelistiterator.cpp \
		Whatsapp/connection.cpp \
		Whatsapp/bintreenodereader.cpp \
		client.cpp \
		Whatsapp/ioexception.cpp \
		Whatsapp/protocolexception.cpp \
		Whatsapp/warequest.cpp \
		Whatsapp/waexistsrequest.cpp \
		Whatsapp/phonereg.cpp \
		Whatsapp/wacoderequest.cpp \
		Whatsapp/smslistener.cpp \
		Whatsapp/waregrequest.cpp \
		Gui/mainwindow.cpp \
		Gui/chatwindow.cpp \
		Gui/conversationdelegate.cpp \
		Contacts/contactroster.cpp \
		Contacts/contactitem.cpp \
		Gui/selectcontactdialog.cpp \
		Dbus/dbusif.cpp \
		Dbus/dbusifadaptor.cpp \
		Dbus/dbusappletif.cpp \
		Gui/registrationwindow.cpp \
		Gui/phonenumberwidget.cpp \
		Gui/registrationprogresswidget.cpp \
		Whatsapp/phoneregreply.cpp \
		Dbus/notifyobject.cpp \
		Gui/aboutdialog.cpp \
		Dbus/dbusnokiahildonsvndif.cpp \
		Contacts/contact.cpp \
		Contacts/contactlist.cpp \
		Whatsapp/util/datetimeutilities.cpp \
		Dbus/dbusnotificationsif.cpp \
		Dbus/dbusnokiamcesignalif.cpp \
		Sql/chatlogger.cpp \
		Gui/chatarea.cpp \
		Contacts/group.cpp \
		Gui/groupwindow.cpp \
		Whatsapp/exception.cpp \
		Whatsapp/loginexception.cpp \
		Contacts/contactsyncer.cpp \
		Gui/contactselectionmodel.cpp \
		Gui/contactdisplaydelegate.cpp \
		Gui/contactdisplayitem.cpp \
		Sql/rosterdbmanager.cpp \
		Gui/selectemojiwidget.cpp \
		Gui/emojibutton.cpp \
		Gui/changeusernamedialog.cpp \
		Gui/chatimageitem.cpp \
		Whatsapp/formdata.cpp \
		Whatsapp/keystream.cpp \
		Whatsapp/rc4.cpp \
		Whatsapp/util/qthmacsha1.cpp \
		Whatsapp/util/qtrfc2898.cpp \
		Whatsapp/mediaupload.cpp \
		Whatsapp/multipartuploader.cpp \
		Sql/conversationsdb.cpp \
		Gui/chatdisplayitem.cpp \
		Gui/chatdisplaydelegate.cpp \
		Gui/mutedialog.cpp \
		Gui/globalsettingsdialog.cpp \
		Gui/voiceregistrationwidget.cpp \
		Gui/chattextitem.cpp \
		qt-json/json.cpp \
		Gui/whatsnewwindow.cpp \
		Whatsapp/httprequestv2.cpp \
		Whatsapp/mediadownload.cpp \
		Dbus/dbusnokiaimageviewerif.cpp \
		Dbus/dbusnokiamediaplayerif.cpp \
		Gui/mediaselectdialog.cpp \
		Gui/accountinfowindow.cpp \
		Whatsapp/util/datacounters.cpp \
		Gui/networkusagewindow.cpp \
		Gui/profilewindow.cpp \
		Gui/chattextedit.cpp \
		Gui/statuswindow.cpp \
		Contacts/contactlistiterator.cpp \
		Gui/contactinfowindow.cpp \
		Dbus/dbusnokiacsdcallif.cpp \
		Gui/profilepicturewindow.cpp \
		Gui/creategroupwindow.cpp \
		Gui/selectgroupparticipantswindow.cpp \
		Gui/groupparticipantitem.cpp \
		Gui/groupparticipantdelegate.cpp \
		Gui/groupinfowindow.cpp \
		Gui/groupsubjectwindow.cpp \
		Gui/blockedcontactswindow.cpp \
		Multimedia/audioplayer.cpp \
		Multimedia/audiorecorder.cpp \
		libjpeg/jpeg-marker.c \
		libjpeg/jpeg-data.c \
		libjpeg/exif-i18n.c \
		Dbus/dbusnokiaossobrowserif.cpp moc_bintreenodewriter.cpp \
		moc_bintreenodereader.cpp \
		moc_connection.cpp \
		moc_client.cpp \
		moc_warequest.cpp \
		moc_waexistsrequest.cpp \
		moc_phonereg.cpp \
		moc_wacoderequest.cpp \
		moc_smslistener.cpp \
		moc_waregrequest.cpp \
		moc_contactroster.cpp \
		moc_conversationdelegate.cpp \
		moc_chatwindow.cpp \
		moc_dbusifadaptor.cpp \
		moc_dbusif.cpp \
		moc_dbusappletif.cpp \
		moc_mainwindow.cpp \
		moc_registrationwindow.cpp \
		moc_phonenumberwidget.cpp \
		moc_registrationprogresswidget.cpp \
		moc_phoneregreply.cpp \
		moc_selectcontactdialog.cpp \
		moc_notifyobject.cpp \
		moc_aboutdialog.cpp \
		moc_dbusnokiahildonsvndif.cpp \
		moc_dbusnotificationsif.cpp \
		moc_dbusnokiamcesignalif.cpp \
		moc_chatlogger.cpp \
		moc_chatarea.cpp \
		moc_groupwindow.cpp \
		moc_contactsyncer.cpp \
		moc_contactselectionmodel.cpp \
		moc_contactdisplaydelegate.cpp \
		moc_rosterdbmanager.cpp \
		moc_selectemojiwidget.cpp \
		moc_emojibutton.cpp \
		moc_changeusernamedialog.cpp \
		moc_chatimageitem.cpp \
		moc_keystream.cpp \
		moc_mediaupload.cpp \
		moc_multipartuploader.cpp \
		moc_conversationsdb.cpp \
		moc_chatdisplaydelegate.cpp \
		moc_mutedialog.cpp \
		moc_globalsettingsdialog.cpp \
		moc_voiceregistrationwidget.cpp \
		moc_chattextitem.cpp \
		moc_whatsnewwindow.cpp \
		moc_httprequestv2.cpp \
		moc_mediadownload.cpp \
		moc_dbusnokiaimageviewerif.cpp \
		moc_dbusnokiamediaplayerif.cpp \
		moc_mediaselectdialog.cpp \
		moc_accountinfowindow.cpp \
		moc_networkusagewindow.cpp \
		moc_profilewindow.cpp \
		moc_chattextedit.cpp \
		moc_statuswindow.cpp \
		moc_contactinfowindow.cpp \
		moc_dbusnokiacsdcallif.cpp \
		moc_profilepicturewindow.cpp \
		moc_creategroupwindow.cpp \
		moc_selectgroupparticipantswindow.cpp \
		moc_groupparticipantdelegate.cpp \
		moc_groupinfowindow.cpp \
		moc_groupsubjectwindow.cpp \
		moc_blockedcontactswindow.cpp \
		moc_audioplayer.cpp \
		moc_audiorecorder.cpp \
		moc_dbusnokiaossobrowserif.cpp
OBJECTS       = main.o \
		utilities.o \
		messagedigest.o \
		qtmd5digest.o \
		protocoltreenode.o \
		fmessage.o \
		funstore.o \
		key.o \
		attributelist.o \
		protocoltreenodelist.o \
		bintreenodewriter.o \
		protocoltreenodelistiterator.o \
		attributelistiterator.o \
		connection.o \
		bintreenodereader.o \
		client.o \
		ioexception.o \
		protocolexception.o \
		warequest.o \
		waexistsrequest.o \
		phonereg.o \
		wacoderequest.o \
		smslistener.o \
		waregrequest.o \
		mainwindow.o \
		chatwindow.o \
		conversationdelegate.o \
		contactroster.o \
		contactitem.o \
		selectcontactdialog.o \
		dbusif.o \
		dbusifadaptor.o \
		dbusappletif.o \
		registrationwindow.o \
		phonenumberwidget.o \
		registrationprogresswidget.o \
		phoneregreply.o \
		notifyobject.o \
		aboutdialog.o \
		dbusnokiahildonsvndif.o \
		contact.o \
		contactlist.o \
		datetimeutilities.o \
		dbusnotificationsif.o \
		dbusnokiamcesignalif.o \
		chatlogger.o \
		chatarea.o \
		group.o \
		groupwindow.o \
		exception.o \
		loginexception.o \
		contactsyncer.o \
		contactselectionmodel.o \
		contactdisplaydelegate.o \
		contactdisplayitem.o \
		rosterdbmanager.o \
		selectemojiwidget.o \
		emojibutton.o \
		changeusernamedialog.o \
		chatimageitem.o \
		formdata.o \
		keystream.o \
		rc4.o \
		qthmacsha1.o \
		qtrfc2898.o \
		mediaupload.o \
		multipartuploader.o \
		conversationsdb.o \
		chatdisplayitem.o \
		chatdisplaydelegate.o \
		mutedialog.o \
		globalsettingsdialog.o \
		voiceregistrationwidget.o \
		chattextitem.o \
		json.o \
		whatsnewwindow.o \
		httprequestv2.o \
		mediadownload.o \
		dbusnokiaimageviewerif.o \
		dbusnokiamediaplayerif.o \
		mediaselectdialog.o \
		accountinfowindow.o \
		datacounters.o \
		networkusagewindow.o \
		profilewindow.o \
		chattextedit.o \
		statuswindow.o \
		contactlistiterator.o \
		contactinfowindow.o \
		dbusnokiacsdcallif.o \

=== src/build-scratchbox/yappari-status-menu-plugin/Makefile ===
#############################################################################
# Makefile for building: libyappari-status-menu-plugin.so
# Generated by qmake (2.01a) (Qt 4.7.0) on: Wed Jan 14 09:55:43 2015
# Project:  yappari-status-menu-plugin.pro
# Template: lib
# Command: /usr/bin/qmake -o Makefile yappari-status-menu-plugin.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_PLUGIN -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -DMAEMO_CHANGES -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -DMAEMO_CHANGES -DMAEMO_GTK -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -DMAEMO_CHANGES -DMAEMO_GTK -pthread -I/usr/include/libhildondesktop-1 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gtk-2.0 -I/usr/include/hildon-1 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include -Wall -W -D_REENTRANT -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -DMAEMO_CHANGES -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -DMAEMO_CHANGES -DMAEMO_GTK -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -DMAEMO_CHANGES -DMAEMO_GTK -pthread -I/usr/include/libhildondesktop-1 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gtk-2.0 -I/usr/include/hildon-1 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include -Wall -W -D_REENTRANT -fPIC $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++ -I. -I/targets/FREMANTLE_X86/usr/include/QtCore -I/targets/FREMANTLE_X86/usr/include/QtGui -I/targets/FREMANTLE_X86/usr/include -I.
LINK          = g++
LFLAGS        = -Wl,-O1 -shared
LIBS          = $(SUBLIBS)  -L/usr/lib -pthread -lhildondesktop-1 -lhildon-1 -lgnomevfs-2 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgconf-2 -lgthread-2.0 -lrt -lgmodule-2.0 -losso -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0 -lQtGui -L/usr/lib -L/usr/X11R6/lib -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = yappari-status-menu-plugin.c 
OBJECTS       = yappari-status-menu-plugin.o
DIST          = /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		yappari-status-menu-plugin.pro
QMAKE_TARGET  = yappari-status-menu-plugin
DESTDIR       = 
TARGET        = libyappari-status-menu-plugin.so
TARGETD       = libyappari-status-menu-plugin.so

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  $(TARGET)

$(TARGET):  $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	-$(DEL_FILE) $(TARGET)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)



Makefile: yappari-status-menu-plugin.pro  /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++/qmake.conf /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -o Makefile yappari-status-menu-plugin.pro
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/link_pkgconfig.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtGui.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -o Makefile yappari-status-menu-plugin.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/yappari-status-menu-plugin1.0.0 || $(MKDIR) .tmp/yappari-status-menu-plugin1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/yappari-status-menu-plugin1.0.0/ && $(COPY_FILE) --parents yappari-status-menu-plugin.h .tmp/yappari-status-menu-plugin1.0.0/ && $(COPY_FILE) --parents yappari-status-menu-plugin.c .tmp/yappari-status-menu-plugin1.0.0/ && (cd `dirname .tmp/yappari-status-menu-plugin1.0.0` && $(TAR) yappari-status-menu-plugin1.0.0.tar yappari-status-menu-plugin1.0.0 && $(COMPRESS) yappari-status-menu-plugin1.0.0.tar) && $(MOVE) `dirname .tmp/yappari-status-menu-plugin1.0.0`/yappari-status-menu-plugin1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/yappari-status-menu-plugin1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all:
compiler_moc_header_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: 

####### Compile

yappari-status-menu-plugin.o: yappari-status-menu-plugin.c yappari-status-menu-plugin.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o yappari-status-menu-plugin.o yappari-status-menu-plugin.c

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/lib/hildon-desktop/ || $(MKDIR) $(INSTALL_ROOT)/usr/lib/hildon-desktop/

=== debian/changelog ===
yappari (1.1.52) stable; urgency=low

  * First release made by AGM
  * Implemented rudimentary double blue tick on sent messages to individuals
  * Implemented send/receive captions associated to multimedia files.

 -- Alvaro Gamez Machado <alvaro.gamez@hazent.com>  Tue, 30 Dec 2014 20:11:54 +0100

=== debian/control ===
Source: yappari
Section: user/network
Priority: optional
Maintainer: Alvaro G. M. <alvaro.gamez@hazent.com>
Build-Depends: debhelper (>= 5), libqt4-dev, libqtm-dev, mce-dev, hildon-input-method-framework-dev, libx11-dev, libgtk2.0-dev, libosso-dev, libosso-abook-dev, libebook-dev, libhildondesktop1-dev, libgstreamer0.10-dev, libpulse-dev, libexif-dev
Standards-Version: 3.7.3
Homepage: http://talk.maemo.org/showthread.php?t=84605

Package: yappari
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gstreamer0.10-plugins-base, gstreamer0.10-nokia-speech
Description: WhatsApp client written in Qt for the Nokia N900
 Yappari is a WhatsApp client for the Nokia N900.
 .
 WhatsApp is a propietary instant messaging application for Android,
 iPhone, Blackberry, Windows Phone and Nokia phones running Symbian OS.
 Users can send text and also multimedia messages containing images,
 audio and video files.
 .
 Since there is no official WhatsApp client for Maemo, Yappari has
 been created.  Yappari supports almost everything the official client
 does and your WhatsApp experience using Yappari will be a nice one.
 .
 Yappari fully supports text and multimedia messages and groups and
 voice note (push-to-talk) messages.
 .
 You have to reboot your phone after installation.
 .
XB-Maemo-Display-Name: Yappari
XBSC-Bugtracker: https://garage.maemo.org/tracker/?atid=7946&group_id=2379&func=browse
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAALHRFWHRDcmVh
 dGlvbiBUaW1lAFdlZCAzMCBNYXkgMjAxMiAwMzoxNzo0MSAtMDQzMOuqOywA
 AAAHdElNRQfcBR4HLzt3Vh7kAAAACXBIWXMAAAsSAAALEgHS3X78AAAABGdB
 TUEAALGPC/xhBQAAD0hJREFUeNptWnmQHsdV//XMd6x2tYe0Wq8lGUuRLFnG
 B0YCjGVZMjnKZWJiYhJDKpQMSQgmfzgUxAUYLEhC+Q9wUklIpZw4KaACSBVX
 EmIIqcQmJWHjssuyRKQolq1jV9LqWnnv3e+ebn59Ts9nb1V/3TPT0/3e6/d+
 75gVeHgREIJNAZB2DJH3+k/py4RNmLGeCV4rPdA/Um3iq9vY72K7Xii1UWVq
 kM/Y9KKY5cR5Xp/k+DW+vJ/Xh7n8mFk/seshcftWuGbqxgmiJlyDpVfThU/V
 HJ3KEqsXsgPOScwamsYEjiFeKKlZFaP82cGLO5FJTfgtfJYYcqWyTSmEBZDL
 g32H7VW2A3z+IhL1PPedThIKhQSqCuekbr5wa6QKngQrbLtQCZU0l7YSEfF2
 rsosc1IpR7xKefEgd3qY1zdznPhTMu+HTZ0wRCQUI1GzeYmTb6OUb+N1mw8O
 iTT9gkjEPn3KWUnaNRLHtZe+1xI4ptgL7JH2Wgl3KrwphSbUqktHOuJkyv5u
 vv8o+zuCVINOIScynKYbe9WwG0X3vUSDWjzL38c5f3/OQCx1f08FNRf4q8zp
 MZ+QcDjCgwpIQ8ywWVjhY0YblTuaQJTIJSVEdNSeGWXtx4rHnYLKVcEwKL0I
 Wpz8JT7/NKcuBvuMmRC5vEqod5wUU6t4yk2SXrpqM994ii/tNBsVdTkYt1Yk
 5YlPRGETuJP1NlSQppknI71GhXM+xf4GPnuIcybsXv6d+BQ1A51oJyNVT5nh
 9J2c+A3eWG+P1DOgpehsxxHtAKpImBeGUjnhqkuSIpZGMCY9eC/3+wFPhqeu
 Xi4YsEcloRmQSXTkMtJHQ/xeLnJV4Dg+TseMlqwSYVMUDKKAbipXs3iC1uMk
 cYfjoTwQehOf7+P1Bzk+WFQ5O6cU9NZwZSkXQm0mnH2Dw6sKGwqVt1iVIHPJ
 isiGRCRV/1z3SS6QEdFAevrHGF2zEheXb8WkBqhE5q4oEeu1FlBI9/DehYKQ
 uF6CinMcGro01qZqmObwFJ+sF9649IZmUY2pmVU1OgMhbbPI5gw+8z5AxCDg
 BKT8HkBZ4MbqFQz/5LOo/Of7oZ55PzZceBqrqg2gyq1Ik6pIqFLGJm/hO1/h
 Zn12DTg/Idjt2hN0kQSnHH+e7X6rox4ZYl32l7KrxRiNIlp4nU19n+L6ygLa
 B7+MwZ89ie3v+jCGBq/B+ZeexMjV16ExvBn1HFq9H9iilYN0/neAZXrrJEyw
 enw3ifmYIUhL2kiXKJWxycy2LCte62b01jsfp0ZG0tK4rCB1IzljeXj90A+x
 5uxevPt9n8DQ0ApUqj1YvfYXMfPvu3HN9CHOqTh0zmFZpMknkSbbc9WEY8Do
 sEyVko8ah6Ac8U5VbOzgmvJSdhJOnVFpwsxYWsJTp5K5auancPhp7Jj6Lu75
 zYcwMNBPmWRcWiItlbByYBPOPfMl9M6eJbKXIyco9K69/PmzgGp8JzF6bduD
 QOeOIE19AkLmNmCI0cArnFTd2Otj4uam3l78aXgbUqhS77dMPo90727ccO0w
 eqpE8U4GHQMZX0KiysuGMXzmO1j32r9hpFO3ztXbVZs0dbJ7GXvdZ+/prXc+
 ppkbZfsy29UBwlIUI0Hh9dd50tRHhh7PZeQxuxDLMJNidZMg8sLjWNE6iRPj
 kzhy5BhqtVpAslq9hqWlGmR5CHMHvoXar/wumpUBMuBP30hec7qW7Wm2Vsni
 udjBGTcHrI4h0jsvGwQE/FZKRvhehPbASPQ3wAihMrYfjf3fQ/+WLZDNJhYX
 F/DKK69gcHAQ69evo22naDZbdpFebX5a6o54s2biEFTdyp9f5fi5klEH4E4b
 O8eOSIVQwdqIu6+UCwukiz67GCg4MI//KeaX5lHd93GsuuHn0Wo1jcpUq1X0
 9PQY/T979hz6+vpoDx202zWoG3dzB0q/pVAIHC0N/fy9ne25BFWxib5gl/UH
 vFX2TZheJR3SSTymUapE95kzUG0DXaoWhwbKmhGcFAfTCkbe8zCaV37GadIw
 4FuJxqv7er1OjJBoN04juXU3aqUVQDODIBOiyXUaHdt4j20nGtlq5gNqG7e5
 JcTzcfIRAi/PfBQy+NxBRc9DiyNZy8lCUkFp6x9xuWXIzh1EeWHcMKsNOG61
 6SNY2vLnaA/eANQa5v08/ivQtp2/N/EtZlOJTCz8eax2SBKMFpE39oFY5MS8
 fwh+IrOGZ54lBkVkq4MjrZU4ddOfoLpyAyr0sKKLgXa7jWzgHViz7QOYoXmC
 76ClpU0t0GONQrrpe23Zy7a9RHW4PkhM5fF7LFkTwjiUNKYcpOymmzxC2l55
 IFDuWuYnKa34hpb3MdCXgXCjSnwyNf4a0nv/FWONNTqTKqi9jaEi9bTDLTRi
 sdEet8iTGH/8LrbxUYIKaiHyhX0O7O+FPMLdlzI/dg57Oks4f3YcK9KqSaH9
 KSy8+ROM/vpfYnYdXVFD+1fpwCKCRIlcOPbRxhKqpQGziU4dM7ehjGDUi1n4
 U1G51P2i3nYCA8j1X/nTUbiGAdrw5H9QLSdo22VDeJomqNfmsdh3GzD6AZxr
 9kBXBlQcewUk96kkfN/PEygN6g0Ect1WxhN7fU8CAS7k8HWVItH+JLx6hZMQ
 jskysjePY9mF76LRWKDkK/RtKTqtBt6cG8PMu/4Fk2ItRKdD2XgVjGQYyj2e
 eNNWlGgIwhqbCfWMo9MxXsi0Uit9nbQouMBNL9zxthBFo4bYXOLhOYldVz+D
 0UvfRLtV5WEzDC4lxujn5o9j/b3fhOrbhOmWFl6SMx5y6ojwOCsUYrCEWmuO
 BA161S9CorUN4SPrTBOdOGITw6w5Ic9EnMyHTJGhc+c81i3tpQM7j6nZM0hK
 VaP705NHMbD1r3GhZxem2yL3IfrPZWlFBxmln/bvSokOYo57D9ojU11qQImE
 EouKEEGYIsAo2phtLFGafahplXBJtxaSSbU5Z3NjDJvr+yAXT+HSxTHyU2FE
 nGL68iEsjuzG7M99BPOq10koqmhAdDEg3sqQwmRJddQpasa1hYwqoJC03jSG
 WPaDjEJHmuNYNvEjrBn/B3Su/wyOXvVeQn5qbKlD7N9caaJSP88A7kfI5icw
 cfIYjbfHxDtzjPfPDP8BsJ2BZHXA5hwhd/Uqo2JCi9Cen8IbjGfV6yTy18xD
 lzHmhpmXEy0Dtno3cuYH6Dv3JK4brmLjXQ9gSp1HZ3o/XuvbaUor/XIJN8ln
 sUIew4nJBVw++T9MC5ejlJYwP3sIp/t/HyYK7hmyxIuI+O4ypFIBOW0ukgeX
 VKnXdVnlAIn9OIlNrNS7nFFwcgnWoIYLP/0+5l74KNQqxvPr7mEA1oOhskQp
 OYGbF0+jv7eMqTqjytkrOHXiObw5eRmlnmGUS2XMTL2Ksb7fY+j4acZdlHyn
 9Vb9ToTHZndf5bAe24giMVAvprjz0SYn7CThVweHFgq5fq0UN+IC+k5+Eemr
 f4GBkS2UdBnHjh1jQtJBf38/rh4qY1XPElC/iIWJg3jj0HNYaihUevqp8wmm
 Lh7GmcGPkPg9lnjZKSKGck4l5NaRsOPQPq+eHyAQfLUkMnGCkj/A924tOCTv
 SSn5TU1OOf53mD20F8tHrmNKTJ75bGBgAEePHsXk5CQ2bNhgwuKJiQnMzMxg
 2bJeupgys9IWpq4cQ3btR4Gtkc5HZcegKl7F36Z2lBfKQr5CvcRFgUcWtW79
 Fon/FolNipU0YHPrNOTLn0Rj/ABV9jqTv+qQIo5jNOH6vr6uVCool8vGWNvN
 Gmbn38DQ7X+P82t+G7NJbyT5SLTBOEWuKqobcgpwusDf+9mY0NhU7QXSfZSD
 X+heWx7/OprnLPFaXYyA4iCMTROskxN7395bWriIyZnLWP/At3G573bMZhXn
 Kwp6HG0WZXFKoGCs8Rx7///Yv6SvE+fRLpuKcF6hCNWHthqCbOsIWb0t8d3x
 vGI8vsCYvjn0S5D3vYyx5Xfhkia+q6pckFJ3jTS2jZhbWyvScc/n2C/CCOuR
 uo0yhdSlaSKSusOqkTP9Th3pS09g9PTnsGxwYyGTKhIv0GKMc+nCOMS7/xEr
 N+zAKbXK6Xt3UhQhT8D4LjTqRqf89jMk/D5/QRR6zIMOz0NdYv8hS50zJrp9
 tfaX0VqSKJ/5L1SW9TEUqATCta4ja2JuaRadVdtQ2vV5TF7zHtCMXSlSOWhM
 fLHT4r5IcgMNhurveWlH5XqLQDX2f8h2ztdWU9y1x9UZTdDGZDRZzT22Eftg
 mp5YZuxy7XasHllLh3WAOWoDlWq/YaA+exTNai8mN/wxpm57DPX+dSYYzgu4
 cASnRUSJvsXlle+opRFTHj6T5An2/2TfsbQJ/I2vvmUef/XXmO+Qhp3d1jbK
 BL8ycxzp4a8gO/7P9uPf1j+F3PIAaoObMe2dYOwxDRSnUSiCt+m7zCKUZURs
 u98jwR/maCm+L/DZzL0p8/K3/iqj8EMO1hcW13QlJSxvTaPZnDar9tLLzpX7
 YSzd0BQFg54B/wExKs0U+tg0lPIfAuMTO8KLe9guFBMcPXxc5tQVFlTv5O9e
 TrkqzC4YmpeyipIcv1ScuckiLMZZHbre8dIOYYQZjvP3g2wH38K01B84QjXu
 LeHrj0nohzjJfmKKvhPnTEQlFp81+ZAghkgVOSbVDY/uL4lPxVfg8FNe609M
 BwvJfTQu5V9WPFFRxgOQCdzNOU9x3GUTotiHJF9F5UjYb2kyigS69b8QIvvT
 MVrxfQ4f4sVEd+3Jmwds7ugdVxacV5dOvkFe7mf7mo4aQs0+FHUR/QuAsMiV
 uKYhVju90CIUCrAaFrHZHpIWT+sJtt/hxQR81ufnOPTxapmE0NUYX/TRwnzY
 aBt1oKObYvsE22+w/W+eQtrPTsJ8B47ONj5NJVxcqPLMLhi1Jzz1+fSzzIru
 pmI8AlFaNHV8ggbHrtlavlKpCSJMWQZ/W7O1eQdfNrHv8pbF8JBpl3iQ0+y/
 Grh/o0hU/s8fSnYhTohsVdEmMqMqbUr+EJ99geN9ubEDhehTueq4dMVlt54Q
 n5l3H6pVEWTMBwegYIyxUSIZ5YQdHN3J5H4Xeb9FKfcVP+TVvjIXEWTHumL8
 Kq8PcMEXOX6ed6dFyPrsRkrlJX0VEA053Bsy90wjfCrSN1w0qZzkRQQeslBy
 TCJESDZx8W0c7+IkXarcxAXIIMouHW1y0iUydgLu321I7GE+H9MnLgtMw1T6
 jeoVDDwy+Kg29P9ZhSSn7KVd3AAAAABJRU5ErkJggg==
 ====

## yappari 1.1.53

=== debian/changelog ===
yappari (1.1.53) stable; urgency=low

  * Preview images, video and audio before sending them

 -- Alvaro Gamez Machado <alvaro.gamez@hazent.com>  Fri, 16 Jan 2015 18:11:54 +0100

## yappari 1.1.54

=== debian/changelog ===
yappari (1.1.54) stable; urgency=low

  * Fixed media sending dialogs

 -- Alvaro Gamez Machado <alvaro.gamez@hazent.com>  Wed, 21 Jan 2015 16:14:54 +0100

## yappari 1.1.55

=== debian/changelog ===
yappari (1.1.55) stable; urgency=low

  * Upgraded USER_AGENT_VERSION, BUILD_KEY and BUILD_HASH to fake latest S40.
    Maybe this helps?

 -- Alvaro Gamez Machado <alvaro.gamez@hazent.com>  Wed, 21 Jan 2015 16:14:54 +0100

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: user/network
 Priority: optional
 Maintainer: Alvaro G. M. <alvaro.gamez@hazent.com>
-Build-Depends: debhelper (>= 5), libqt4-dev, libqtm-dev, mce-dev, hildon-input-method-framework-dev, libx11-dev, libgtk2.0-dev, libosso-dev, libosso-abook-dev, libebook-dev, libhildondesktop1-dev, libgstreamer0.10-dev, libpulse-dev, libexif-dev
+Build-Depends: debhelper (>= 5), libqt4-dev, libqt4-phonon, libqtm-dev, mce-dev, hildon-input-method-framework-dev, libx11-dev, libgtk2.0-dev, libosso-dev, libosso-abook-dev, libebook-dev, libhildondesktop1-dev, libgstreamer0.10-dev, libpulse-dev, libexif-dev
 Standards-Version: 3.7.3
 Homepage: http://talk.maemo.org/showthread.php?t=84605
 
 Package: yappari
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, gstreamer0.10-plugins-base, gstreamer0.10-nokia-speech
+Depends: ${shlibs:Depends}, ${misc:Depends}, gstreamer0.10-plugins-base, gstreamer0.10-nokia-speech, libqt4-phonon
 Description: WhatsApp client written in Qt for the Nokia N900
  Yappari is a WhatsApp client for the Nokia N900.
  .
